Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class ProcessingInstructionImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.CharacterDataImpl
                  weblogic.apache.xerces.dom.ProcessingInstructionImpl

All Implemented Interfaces:
  Serializable, Cloneable, EventTarget, Node, NodeList, ProcessingInstruction

Direct Known Subclasses:
  DeferredProcessingInstructionImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class ProcessingInstructionImpl

extends CharacterDataImpl
implements ProcessingInstruction

Processing Instructions (PIs) permit documents to carry processor-specific information alongside their actual content. PIs are most common in XML, but they are supported in HTML as well. This class inherits from CharacterDataImpl to reuse its setNodeValue method.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected String` | `baseURI` Deprecated.
`protected String` | `target` Deprecated.

Fields inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProcessingInstructionImpl(CoreDocumentImpl ownerDoc, String target, String data)` Deprecated. Factory constructor.

Method Summary
`String` | `getBaseURI()` Deprecated. DOM Level 3 WD - Experimental.
`String` | `getData()` Deprecated. A PI's data content tells the processor what we actually want it to do.
`String` | `getNodeName()` Deprecated. Returns the target
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`String` | `getTarget()` Deprecated. A PI's "target" states what processor channel the PI's data should be directed to.
`void` | `setBaseURI(String uri)` Deprecated. NON-DOM: set base uri
`void` | `setData(String data)` Deprecated. Change the data content of this PI.

Methods inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getLength, getNodeValue, insertData, replaceData, setNodeValue, setNodeValueInternal, substringData`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getFirstChild, getInterface, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### target

    protected String target

  Deprecated.

### baseURI

    protected String baseURI

  Deprecated.

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(CoreDocumentImpl ownerDoc,
                                     String target,
                                     String data)

  Deprecated.
  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the target

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### getTarget

    public String getTarget()

  Deprecated.
  A PI's "target" states what processor channel the PI's data should be directed to. It is defined differently in HTML and XML.

  In XML, a PI's "target" is the first (whitespace-delimited) token following the " In HTML, target is always null.

  Note that getNodeName is aliased to getTarget.

  Specified by:
    `getTarget` in interface `ProcessingInstruction`

### getData

    public String getData()

  Deprecated.
  A PI's data content tells the processor what we actually want it to do. It is defined slightly differently in HTML and XML.

  In XML, the data begins with the non-whitespace character immediately after the target -- @see getTarget().

  In HTML, the data begins with the character immediately after the "<?" token that begins the PI.

  Note that getNodeValue is aliased to getData

  Specified by:
    `getData` in interface `ProcessingInstruction`
  Overrides:
    `getData` in class `CharacterDataImpl`

### setData

    public void setData(String data)

  Deprecated.
  Change the data content of this PI. Note that setData is aliased to setNodeValue.

  Specified by:
    `setData` in interface `ProcessingInstruction`
  Overrides:
    `setData` in class `CharacterDataImpl`
  Throws:
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is read-only.
  See Also:
    `ProcessingInstructionImpl.getData().`

### getBaseURI

    public String getBaseURI()

  Deprecated.
  DOM Level 3 WD - Experimental. Retrieve baseURI

  Specified by:
    `getBaseURI` in interface `Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`

### setBaseURI

    public void setBaseURI(String uri)

  Deprecated.
  NON-DOM: set base uri

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD